Summary
Export Trigger
Description
Export a Trigger.
Route
GET /operations-manager/triggers/:id/export
Roles
admin
apiread
viewer
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| id |
string |
yes |
The id of the Trigger to export. |
Copied to Clipboard
{
"type": "object",
"properties": {},
"required": [],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| document |
object |
The result of the export operation. |
Copied to Clipboard
{
"message": "Successfully retrieved search results",
"data": {
"name": "myCoolDocumentName",
"type": "endpoint",
"enabled": true,
"actionType": "automations",
"actionId": "994634e9abde5dadd193df71",
"verb": "POST",
"routeName": "vgGInH-",
"schema": null,
"_id": "054a1735d3d71e2585022627",
"jst": null,
"description": "Some helpful information about the document",
"lastExecuted": 74645341,
"migrationVersion": 35763395,
"createdBy": "consequat eu Ut tempor",
"created": "2022-03-12T20:28:38.872Z",
"lastUpdatedBy": "in fugiat consectetur",
"lastUpdated": "1970-05-19T22:54:17.331Z"
}
}